> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# List Form Templates

GET https://api.coperniq.io/v1/form-templates

Retrieve all form templates for the company. Form templates are reusable form definitions
that define the layout, fields, assignees, and labels for forms created on projects/workflows.


Reference: https://docs.coperniq.io/api-reference/forms/list-form-templates

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Query parameters

- `includeArchived` (boolean, optional, default: false) — Include archived form templates in results

## Response

### 200

List of form templates

- `list of FormTemplateSummary`

## Errors

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `UNAUTHORIZED`

## Types

### FormTemplateSummary

- `id` (integer, optional) — Form template identifier
- `name` (string, optional) — Template name
- `fileId` (integer, optional, nullable) — Associated file identifier
- `isArchived` (boolean, optional) — Whether the template is archived
- `createdAt` (string, optional)
- `updatedAt` (string, optional)
- `createdBy` (FormTemplateSummaryCreatedBy, optional, nullable)
- `parentWorkOrderTemplateId` (integer, optional, nullable)

### FormTemplateSummaryCreatedBy

- `id` (integer, optional)
- `firstName` (string, optional)
- `lastName` (string, optional)
- `email` (string, optional)

## Examples

**Response**

```json
[
  {
    "id": 1,
    "name": "string",
    "fileId": 1,
    "isArchived": true,
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "createdBy": {
      "id": 1,
      "firstName": "string",
      "lastName": "string",
      "email": "string"
    },
    "parentWorkOrderTemplateId": 1
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.coperniq.io/v1/form-templates"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.coperniq.io/v1/form-templates';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/form-templates"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/form-templates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.coperniq.io/v1/form-templates")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.coperniq.io/v1/form-templates', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/form-templates");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/form-templates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```